/* Copyright (C) 2003 Juan Lang
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License Version 2 or later
 * (the "GPL").
 */
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "iptypes.h"
#include "ifdetect.h"

void freeInterfaceList(struct InterfaceInfo *list)
{
  struct InterfaceInfo *ptr;

  for (ptr = list; ptr != NULL; )
  {
    struct InterfaceInfo *toFree = ptr;

    if (ptr->name)
      free(ptr->name);
    toFree = ptr;
    ptr = ptr->next;
    free(toFree);
  }
}

#if 0
/* test program for above f'ns */
int main(void)
{
  struct InterfaceInfo **interfaces = findDHCPInterfaces();

  if (interfaces != NULL)
  {
    struct InterfaceInfo **ptr;

    printf("Found interfaces:\n");
    for (ptr = interfaces; ptr != NULL && *ptr != NULL; ptr++)
    {
      if ((*ptr)->name)
      {
        struct in_addr addr;

        printf("name: %s ", (*ptr)->name);
        printf("mac: %02x:%02x:%02x:%02x:%02x:%02x ", (*ptr)->mac[0],
         (*ptr)->mac[1], (*ptr)->mac[2], (*ptr)->mac[3], (*ptr)->mac[4],
         (*ptr)->mac[5]);
        addr.s_addr = (*ptr)->ip;
        printf("ip: %s ", inet_ntoa(addr));
        addr.s_addr = (*ptr)->bcastAddr;
        printf("bcast: %s \n", inet_ntoa(addr));
      }
    }
    freeInterfaceList(interfaces);
  }
  return 0;
}
#endif

