/* Copyright (C) 2003 Juan Lang
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License Version 2 or later
 * (the "GPL").
 */
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include "iptypes.h"
#include "iputil.h"

u_int convertAddr(const char *ip)
{
  u_int ret;

  assert(ip != NULL);
  if (ip != NULL)
  {
    u_int a1, a2, a3, a4, scanfReturn;
    
    scanfReturn = sscanf(ip, "%d.%d.%d.%d", &a1, &a2, &a3, &a4);
    if (scanfReturn == 4 && a1 >= 0 && a1 < 256 && a2 >= 0 && a2 < 256 &&
     a3 >= 0 && a3 < 256 && a4 >= 0 && a4 < 256)
      ret = htonl(a1 << 24 | a2 << 16 | a3 << 8 | a4);
    else
      ret = INADDR_NONE;
  }
  else
    ret = INADDR_NONE;
  return ret;
}

#ifdef WIN32

#define MAX_IP_STR 16

char *addrToStr(struct in_addr addr)
{
  static char buf[MAX_IP_STR];

  sprintf(buf, "%d.%d.%d.%d", addr.S_un.S_un_b.s_b1, addr.S_un.S_un_b.s_b2,
   addr.S_un.S_un_b.s_b3, addr.S_un.S_un_b.s_b4);
  return buf;
}

void WinStartup(void)
{
  WSADATA data;

  WSAStartup(MAKEWORD(2, 0), &data);
}

void WinShutdown(void)
{
  WSACleanup();
}

#endif /* def WIN32 */

