/* Copyright (C) 2003 Juan Lang
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License Version 2 or later
 * (the "GPL").
 */
#ifndef __IPUTIL_H__
#define __IPUTIL_H__

#ifndef INADDR_NONE
#define INADDR_NONE 0xffffffffU
#endif

#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32

char *addrToStr(struct in_addr addr);
void WinStartup(void);
void WinShutdown(void);

#else

#include <arpa/inet.h>
#define addrToStr inet_ntoa
#define WinStartup()
#define WinShutdown()

#endif /* def WIN32 */

/* Parses ip as a dotted-decimal IP address and returns its network-order value
 * if possible, or INADDR_NONE if invalid.  Assumes ip is not NULL.
 */
u_int convertAddr(const char *ip);

#ifdef __cplusplus
}
#endif

#endif /* ndef __IPUTIL_H__ */
