/* Copyright (C) 2003 Juan Lang
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License Version 2 or later
 * (the "GPL").
 *
 * Silly wrapper program to getpwuid(), since parsing /etc/passwd depends on
 * you NOT running NIS.  Probably doable through the shell parsing
 * nsswitch.conf and using ypcat if necessary, but this'll do.
 */
#include <pwd.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>

/* Prints out your real name, or if that fails for some weird reason, prints
 * out your user name.
 */
int main(void)
{
  struct passwd *pwd = getpwuid(getuid());

  if (pwd != NULL)
  {
    if (pwd->pw_gecos != NULL)
      puts(pwd->pw_gecos);
    else if (pwd->pw_name != NULL)
      puts(pwd->pw_name);
  }
  else
    perror("getpwuid");
  return 0;
}
