/* Copyright (C) 2003 Juan Lang
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License Version 2 or later
 * (the "GPL").
 */
#ifndef __RESQUERY_H__
#define __RESQUERY_H__

/* Should be the same as NS_MAXDNAME on Linux, not sure what the appropriate
 * define is elsewhere
 */
#define MAX_DOMAIN_NAME 1025

#ifndef T_A
#define T_A 1
#endif

#ifndef T_SRV
#define T_SRV 33 /* From RFC 2052 */
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* This is an attempt to implement a lookup of types other than A.  First
 * attempt:  SRV records.
 * Assumes prefix and domain are not NULL, domain doesn't end in a '.', and
 * type is T_SRV (for now).
 */
int queryWithType(const char *prefix, const char *domain, int type);

#ifdef __cplusplus
}
#endif

#endif /* ndef __RESQUERY_H__ */
